const turno = document.querySelector("#turno");
const alert = document.querySelector(".alert");
const p1 = document.querySelector("#p1");
const p2 = document.querySelector("#p2");
var playerAttuale = 1;
var fineGioco = false;

var puntiP1 = 0;
var puntiP2 = 0;

initBigTable();

/**
 * Verifica che il giocatore 1 sta in game
 * @param {*} player 
 * @returns 
 */
function play(colonna)
{
    if(!fineGioco)
    {
        var lineaVuota = game.ritornaLineaCasellaVuotaColonna(colonna);
        if(lineaVuota !== -1)
        {
            game.giocaColpo(playerAttuale, lineaVuota, colonna);
            game.mostraForza4();
            var playerVincitore;

            if(game.verificaFineDelGioco(playerAttuale))
            {
                gestisciFineGioco();
                playerVincitore = playerAttuale;
            }

            if(playerAttuale === 1)
            {
                playerAttuale = 2;
                turno.innerHTML = "Turno del giocatore 2";
            }
            else 
            {
                playerAttuale = 1;
                turno.innerHTML = "Turno del giocatore 1";
            }

            if(game.verificaFineDelGioco(playerVincitore))
            {
                gestiscicambiaPannelloPlayer(playerVincitore);
            }
        }
    }
}

function gestiscicambiaPannelloPlayer(playerVincitore)
{
    turno.innerHTML = "Il giocatore " +playerVincitore+ " ha vinto!";

    if(playerVincitore === 1)
    {
        puntiP1++; 
        var contentP1 = "<img src='/assets/img/p1.png' class='bg-danger rounded-circle' style='max-width:100%;' />"
    contentP1 += "<p>"+puntiP1+"</p>";
    p1.innerHTML = contentP1;
    }
    else 
    {
        puntiP2++;
        var contentP2 = "<img src='/assets/img/p2.png' class='bg-success rounded-circle' style='max-width:100%;' />";
    contentP2 += "<p>"+puntiP2+"</p>";
    p2.innerHTML = contentP2;
    }
}

function gestisciFineGioco()
{
    fineGioco = true;
    var contentAlert = "Fine partita!<br>";
    contentAlert += "<button type='button' class='btn btn-secondary' onClick=initBigTable()>Nuova partita!</button>";
    alert.innerHTML = contentAlert;
    alert.classList.remove("d-none");
}

function initBigTable()
{
    fineGioco = false;
    playerAttuale = 1;
    alert.classList.add("d-none");

    var contentP1 = "<img src='/assets/img/p1.png' class='bg-danger rounded-circle' style='max-width:100%;' />"
    contentP1 += "<p>"+puntiP1+"</p>";
    p1.innerHTML = contentP1;

    var contentP2 = "<img src='/assets/img/p2.png' class='bg-success rounded-circle' style='max-width:100%;' />";
    contentP2 += "<p>"+puntiP2+"</p>";
    p2.innerHTML = contentP2;

    game.init();
    game.mostraForza4();
}